# EVENT TABLE

Config path: `/<database>/<schema>/event_table/<name>.yaml`

Example:

```yaml
change_tracking: true
comment: Event table tracking UDF execution logs
```

## Schema

* **change\_tracking** (bool) - enable CHANGE TRACKING
* **comment** (str)

## Usage notes

1. **retention\_time, cluster\_by, search\_optimization** parameters are currently not supported due to unclear value specifically for event tables with logs. These parameters can be supported in future after event tables reach "general availability".
2. You may attach event table to [DATABASE](/basic/yaml-configs/database.md) using parameter `event_table`. As of March 2026, this operation requires ACCOUNTADMIN privileges.

## Links

* [CREATE EVENT TABLE](https://docs.snowflake.com/en/sql-reference/sql/create-event-table)
* [ALTER TABLE (event table)](https://docs.snowflake.com/en/sql-reference/sql/alter-table-event-table)
* [SHOW EVENT TABLES](https://docs.snowflake.com/en/sql-reference/sql/show-event-tables)
* [Parser & JSON Schema (GitHub)](https://github.com/littleK0i/SnowDDL/blob/master/snowddl/parser/table.py)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.snowddl.com/basic/yaml-configs/event-table.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
